@import 'src/style/includes/sass_vars_and_mixins.module.scss';


.stackMultiples {
  display: flex;
  column-gap: var(--space-m);
  position: relative;

  @include smaller-than-xs {
    column-gap: var(--space-s);
  }
}

.stackTitle {
  margin-bottom: var(--space-xxs);
  text-transform: uppercase;
  letter-spacing: .05em;
  font-size: var(--font-size-s);
  //font-weight: 400;
  //font-style: italic;
  //color: var(--color-text-weaker);
  border-top: 1px solid var(--color-background-weakest);
}

.stackName {
  margin-bottom: 0;
  max-width: 100%;
  font-weight: 400;
  font-size: var(--font-size-s);
}

.legend {
  margin-bottom: var(--space-xxs);
}

.stackMultiple {
  max-width: 33.333%;
  width: 33.333%;
  position: relative;

  @include smaller-than-xs {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
  }
}

.barGroup {
  transition: opacity 0.076s;

  &.dimmed {
    opacity: 0.5;
  }
}

.parentBar {
  shape-rendering: crispEdges;
  stroke-width: 2;
  stroke:  var(--color-background-weakest);
}

.barValue {
  font-size: var(--font-size-s);
  fill: var(--color-text-weaker);
  pointer-events: none;
}

.barUnit {
  font-weight: 400;
}

.directionLabel {
  font-size: var(--font-size-s);
  fill: var(--color-text-weaker);
}

.parentLabel,
.parentValue {
  font-size: var(--font-size-s);
  fill: var(--color-text-weaker);
}

.tooltipTitle {
  margin-bottom: var(--space-xxxs);
}
